<div *ngIf="!categorias">
  <mat-progress-bar mode="buffer">
  </mat-progress-bar>
</div>

<div class="dadosCategorias">

<div class ="cabecalho">
  <mat-grid-list cols="2" rowHeight="50px">
    <mat-grid-tile>
      <h2 class="titulo">Categorias cadastradas</h2>
    </mat-grid-tile>
    <mat-grid-tile>
      <button mat-stroked-button color="primary" routerLink="/categorias/novacategoria">Nova categoria</button>
    </mat-grid-tile>
  </mat-grid-list>
</div>

<div class="divAutoComplete">
  <form>
    <mat-form-field class="autoCompleteInput">
      <input type="text" placeholder="Digite o que você procura" matInput [formControl]="autoCompleteInput" [matAutocomplete]="auto"/>
      <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
        <mat-option *ngFor="let nome of nomesCategorias | async" [value]="nome">{{nome}}</mat-option>
      </mat-autocomplete>
    </mat-form-field>
  </form>
</div>

  <table *ngIf="categorias" matSort mat-table [dataSource]="categorias" class="mat-elevation-z8 tabela">

    <ng-container matColumnDef="nome">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Nome</th>
      <td mat-cell *matCellDef="let categoria"> {{ categoria.nome }}</td>
    </ng-container>

    <ng-container matColumnDef="icone">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Ícone</th>
      <td mat-cell *matCellDef="let categoria"> <mat-icon> {{ categoria.icone }} </mat-icon></td>
    </ng-container>

    <ng-container matColumnDef="tipo">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Tipo</th>
      <td mat-cell *matCellDef="let categoria"> <mat-icon> {{ categoria.tipo.nome }} </mat-icon> </td>
    </ng-container>

    <ng-container matColumnDef="acoes">
      <th mat-header-cell *matHeaderCellDef>Ações</th>
      <td mat-cell *matCellDef="let categoria">
        <button mat-mini-fab color="primary" [routerLink]="['/categorias/atualizarcategoria', categoria.categoriaId]"><mat-icon>edit</mat-icon></button>
        <button mat-mini-fab color="warn" (click)="AbrirDialog(categoria.categoriaId, categoria.nome)"><mat-icon>delete_forever</mat-icon></button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayColumns"></tr>
  </table>

  <mat-paginator [pageSizeOptions]="[5, 10, 15, 20]" showFirstLastButtons>

  </mat-paginator>
</div>
